org.eclipse.rdf4j.query.algebra

## Enum StatementPattern.Scope

- java.lang.Object
- - java.lang.Enum<StatementPattern.Scope>
  - - org.eclipse.rdf4j.query.algebra.StatementPattern.Scope

- All Implemented Interfaces:
    Serializable, Comparable<StatementPattern.Scope>
  Enclosing class:
    StatementPattern

      public static enum StatementPattern.Scope
      extends Enum<StatementPattern.Scope>

  Indicates the scope of the statement pattern.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT_CONTEXTS` Scope for patterns that should be matched against statements from the default contexts.
    `NAMED_CONTEXTS` Scope for patterns that should be matched against statements from named contexts only.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatementPattern.Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StatementPattern.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT_CONTEXTS

          public static final StatementPattern.Scope DEFAULT_CONTEXTS

      Scope for patterns that should be matched against statements from the default contexts.

    - #### NAMED_CONTEXTS

          public static final StatementPattern.Scope NAMED_CONTEXTS

      Scope for patterns that should be matched against statements from named contexts only.

  - ### Method Detail

    - #### values

          public static StatementPattern.Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatementPattern.Scope c : StatementPattern.Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatementPattern.Scope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.